- Extending Qt Creator Manual
- QtCreator
- PathListEditor
- Extending Qt Creator Manual 13.0.0

# PathListEditor Class

class Utils::PathListEditor

The PathListEditor class is a control that lets the user edit a list of (directory) paths using the platform separator (';',':'). More...

Header: | #include <PathListEditor>

- List of all members, including inherited members

## Public Functions

QString | fileDialogTitle() const
QStringList | pathList() const
void | setFileDialogTitle(const QString &l)
void | setPathList(const QStringList &l)
void | setPathList(const QString &pathString)

## Detailed Description

Typically used for path lists controlled by environment variables, such as PATH. It is based on a QPlainTextEdit as it should allow for convenient editing and non-directory type elements like

     "etc/mydir1:$SPECIAL_SYNTAX:/etc/mydir2".

When pasting text into it, the platform separator will be replaced by new line characters for convenience.